---
Molecule test:
    image: docker:stable-dind
    stage: test
    variables:
        DOCKER_TLS_CERTDIR: ""
        DOCKER_HOST: tcp://docker:2375/
        DOCKER_DRIVER: overlay2
    services:
        - docker:dind
    before_script:
        - apk add --no-cache
          python3 python3-dev py3-pip gcc git curl build-base
          autoconf automake py3-cryptography linux-headers
          musl-dev libffi-dev openssl-dev openssh
        - docker info
        - python3 --version
        - python3 -m pip install \
          wheel \
          ansible \
          molecule[docker] \
          ansible-lint \
          yamllint
        - ansible --version
        - molecule --version
    script:
        - molecule test
    tags:
        - vagrantdocker
